Conversations

Photo of DusunChong
Incompatible Data after upgrading to Firmware 1.5
After upgrading to firmware 1.5. The strike pro module shown " Incompatible data" and none of the kits are playable. The first kit shown ...
  • DusunChong, 6 months ago

  • 1 me too
  • 0 replies
  • Problem